Build error for ROOT5.08 on PowerPC/SuSe SLES 9.0 platform

From: Charlie Maguire <charles.f.maguire_at_vanderbilt.edu>
Date: Wed, 18 Jan 2006 10:34:32 -0600


Dear all,

I experienced an error concerning the libxml2.so library when I attempted to build ROOT5.08/00 from source on a PowerPC/SuSe SLES 9.0 platform (2.2 GHz JS20 IBM CPU). Previously I was successful in building ROOT5.08/00 from the same source tar file on two Intel CPU platforms, one running Scientific Linux and the other WhiteBox Linux clones of RH3.

There is a libxml2.so library, softlinked to libxml2.so.2.6.7, on the PowerPC system but the build command reports an error

/usr/lib/gcc-lib/powerpc-suse-linux/3.3.3/../../../../powerpc-suse-linux/bin/ld: skipping incompatible /usr/lib/libxml2.so when searching for -lxml2

and eventually reports that it cannot find libxml2.so .

On the two Intel platforms where I was successful in building ROOT the libxml2 libraries are slightly older: libxml2.so.2.5.10 and libxml2.so.2.4.25 .

Prior to the make command on the PowerPC, I ran a configure command without any options specified. The build error occurred after about 95% of the compilations has succeeded.

The PowerPC platform is a new addition to the University's large computer farm to which our group has been give access.

Later I plan to build the CERNLIBs on this platform, in case anyone has related experience in that effort.

Regards,
Charlie Received on Wed Jan 18 2006 - 17:34:43 MET

This archive was generated by hypermail 2.2.0 : Mon Jan 01 2007 - 16:31:56 MET